function LOW_ENERGY_FRAMES = LEF(signal, fs, split)
%% Soucast vypoctu novych parametru zalozene na metode RASTA
size = length(signal); % length of the input signal
sln = floor(split * fs); % segment length = split second(s)
segments = floor(size/sln); % Number of segments
RMS = zeros(segments,1); % Reserve a zero vector
for r = 1 : segments
 segment = signal((r-1)*sln+1:r*sln);
 RMS(r,1) = rms(segment);
end
threshold = 0.5 * mean(RMS);
LOW_ENERGY_FRAMES = length(find(RMS<threshold))/length(RMS)*100;